import { Component, Input } from '@angular/core';
import { HttpClient } from 'kl/core/services/httpclient';

/**
 * Generated class for the InputComponent component.
 *
 * See https://angular.io/docs/ts/latest/api/core/index/ComponentMetadata-class.html
 * for more info on Angular Components.
 */
@Component({
  selector: 'test-select',
  templateUrl: 'select.html'
})
export class SelectComponent {

  @Input()
  id = '';

  data: any = {
    id: '0',
    name: 'err',
    type: 1,
    max: '',
    minx: '',
    dataList: [
      {id: '1', vel: 'err'},
      {id: '1', vel: 'err'},
      {id: '1', vel: 'err'}
    ]
  };


  constructor(private http: HttpClient) {}

  getData() {
    this.http.getData(this.id, res => {
      this.data = res;
      console.log(this.data);
    });
  }

  ngOnInit(): void {
    this.getData();
  }

}
